
Foreman - Bug #32254

Add deprecation warnings for old report API

04/06/2021 11:33 AM - Lukas Zapletal

Status: Rejected   

Priority: Normal   

Assignee:    

Category:    

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Once our plugin will be in working state, we need to add warnings in the old UI and CLI saying:

This report was created using deprecated API, install and configure foreman_host_reports plugin for better and faster reporting.

Related issues:

Related to Foreman - Tracker #31142: New report model and import/view mechanism New

History

#1 - 04/06/2021 11:33 AM - Lukas Zapletal

- Related to Tracker #31142: New report model and import/view mechanism added

#2 - 04/27/2021 08:05 AM - Lukas Zapletal

- Target version deleted (2.5.0)

#3 - 05/31/2021 01:46 PM - Lukas Zapletal

- Description updated

#4 - 06/17/2021 12:50 PM - Lukas Zapletal

- Status changed from New to Rejected

Moved to https://github.com/theforeman/foreman_host_reports/projects/1
